/* Disable Foreign Keys */
pragma foreign_keys = off;
/* Begin Transaction */
begin transaction;

/* Database [database_default] */
pragma auto_vacuum=0;
pragma encoding='UTF-8';
pragma page_size=1024;


ALTER TABLE game_player ADD COLUMN deleted INT DEFAULT 0;

INSERT INTO [setting]([id], [title], [description], [options], [increments], [units], [format], [default], [value], [xeasy], [easy], [hard], [xhard]) VALUES(159, 'Match enabled', null, '1,0;yes,no', null, null, null, '1', '1', '', '', '', '');

UPDATE [setting] SET [options] = '1,2,3;ES,rev0,rev1 to rev4' WHERE [id] = 126;
UPDATE [setting] SET [options] = '1,2;rev0,rev1 to rev2' WHERE [id] = 146;


/* Drop table [menuitem] */
DROP TABLE IF EXISTS [main].[menuitem];

/* Table structure [menuitem] */
CREATE TABLE [main].[menuitem](
    [id] INTEGER PRIMARY KEY NOT NULL,
    [title] VARCHAR NOT NULL,
    [type] VARCHAR,
    [data] VARCHAR,
    [order] INTEGER,
    [level] INTEGER,
[security] VARCHAR);

/* Table data [menuitem] Record count: 348 */
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(1, 1, 'Main menu', '', '', 0, 0, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(2, 2, 'Test Report', 'MenuItemTestReport', '', 1, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(3, 3, 'Test Menu', '', '', 2, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(4, 4, 'Switch Test', 'MenuItemTestSwitch', '', 3, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(5, 5, 'Switch Checklist Tests', '', '', 4, 2, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(6, 6, 'Cabinet Checklist Test', 'MenuItemTestSwitchChecklist', 'cabinet', 5, 3, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(7, 7, 'Playfield Checklist Test', 'MenuItemTestSwitchChecklist', 'playfield', 6, 3, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(8, 8, 'MMB Checklist Test', 'MenuItemTestSwitchChecklist', 'mmb', 7, 3, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(9, 9, 'FMB Checklist Test', 'MenuItemTestSwitchChecklist', 'fmb', 8, 3, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(10, 10, 'MPF Checklist Test', 'MenuItemTestSwitchChecklist', 'mpf', 9, 3, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(11, 11, 'Solenoid Test', '', '', 10, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(12, 12, 'All Drivers Test', 'MenuItemTestDriverAll', '', 11, 3, 'all_drivers_test_harmful_voids_warranty');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(13, 13, 'Flippers', '', '', 12, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(14, 14, 'Left Flipper', 'MenuItemTestSolenoid', 'flipperLwL', 13, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(15, 15, 'Right Flipper', 'MenuItemTestSolenoid', 'flipperLwR', 14, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(16, 16, 'Upper Flipper', 'MenuItemTestSolenoid', 'flipperUpR', 15, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(17, 17, 'Bowling Alley', '', '', 16, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(18, 18, 'Pins', '', '', 17, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(19, 19, 'Pin 1', 'MenuItemTestSolenoid', 'pin1', 18, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(20, 20, 'Pin 2', 'MenuItemTestSolenoid', 'pin2', 19, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(21, 21, 'Pin 3', 'MenuItemTestSolenoid', 'pin3', 20, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(22, 22, 'Pin 4', 'MenuItemTestSolenoid', 'pin4', 21, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(23, 23, 'Pin 5', 'MenuItemTestSolenoid', 'pin5', 22, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(24, 24, 'Pin 6', 'MenuItemTestSolenoid', 'pin6', 23, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(25, 25, 'Pin 7', 'MenuItemTestSolenoid', 'pin7', 24, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(26, 26, 'Pin 8', 'MenuItemTestSolenoid', 'pin8', 25, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(27, 27, 'Pin 9', 'MenuItemTestSolenoid', 'pin9', 26, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(28, 28, 'Pin 10', 'MenuItemTestSolenoid', 'pin10', 27, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(29, 29, 'Bowling Alley Release Post', 'MenuItemTestSolenoid', 'bowlingRelease', 28, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(30, 30, 'Bowling Alley Ball Return', 'MenuItemTestSolenoid', 'bowlingReturn', 29, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(31, 31, 'Balltrough Kicker', 'MenuItemTestSolenoid', 'trough', 30, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(32, 32, 'Saucer Kicker', 'MenuItemTestSolenoid', 'saucer', 31, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(33, 33, 'Scoop Kicker', 'MenuItemTestSolenoid', 'scoop', 32, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(34, 34, 'Vertical Upkicker', 'MenuItemTestSolenoid', 'VUK', 33, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(35, 35, 'Auto Fire', 'MenuItemTestSolenoid', 'autoFire', 34, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(36, 36, 'Kickback', 'MenuItemTestSolenoid', 'kickback', 35, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(37, 37, 'Left Slingshot', 'MenuItemTestSolenoid', 'leftSling', 36, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(38, 38, 'Right Slingshot', 'MenuItemTestSolenoid', 'rightSling', 37, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(39, 39, 'Left Ball Gate', 'MenuItemTestSolenoid', 'leftBallGate', 38, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(40, 40, 'Right Ball Gate', 'MenuItemTestSolenoid', 'rightBallGate', 39, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(41, 41, 'Left Jet Bumper', 'MenuItemTestSolenoid', 'leftJet', 40, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(42, 42, 'Right Jet Bumper', 'MenuItemTestSolenoid', 'rightJet', 41, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(43, 43, 'Left Ramp Diverter', 'MenuItemTestSolenoid', 'leftRampDiverter', 42, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(44, 44, 'Shooter Lane Diverter', 'MenuItemTestSolenoid', 'shooterLaneDiverter', 43, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(45, 45, 'LED Tests', '', '', 44, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(46, 46, 'All LEDs Test', 'MenuItemTestLedAll', '', 45, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(47, 47, 'Grouped LED Test', '', '', 46, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(48, 48, 'Main Playfield', 'MenuItemTestLedGroup', '', 47, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(49, 49, 'Goals & Shoot Again', 'MenuItemTestLedGroup', 'goal1,goal2,goal3,goal4,goal5,goal6,shootAgain', 48, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(50, 50, 'Zero', 'MenuItemTestLedGroup', 'zero1,zero2,zero3,zero4', 49, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(51, 51, 'Kickback', 'MenuItemTestLedGroup', 'lightKickback,kickback', 50, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(52, 52, 'Saucer', 'MenuItemTestLedGroup', 'saucerBowling,saucerCharacter,saucerZero', 51, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(53, 53, 'Characters', 'MenuItemTestLedGroup', 'character1,character2,character3,character4,character5', 52, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(54, 54, 'Balls', 'MenuItemTestLedGroup', 'ball1,ball2,ball3,ball4,ball5', 53, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(55, 55, 'Light lock', 'MenuItemTestLedGroup', 'leftLightLock,rightLightLock', 54, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(56, 56, 'Scoop', 'MenuItemTestLedGroup', 'scoopAbides,scoopExtraBall,scoopMystery,scoopNihilist', 55, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(57, 57, 'Nihilist targets', 'MenuItemTestLedGroup', 'leftNihilist,centerNihilist,rightNihilist', 56, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(58, 58, 'Rug modes', 'MenuItemTestLedGroup', 'rugMode1,rugMode2,rugMode3,rugMode4,rugMode5,rugMode6', 57, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(59, 59, 'Arrows', 'MenuItemTestLedGroup', 'arrow1,arrow2,rugArrow,arrow3,arrow4,arrow5', 58, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(60, 60, 'White Russians', 'MenuItemTestLedGroup', 'wr1,wr2,wr3,wr4,wr5', 59, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(61, 61, 'Character names', 'MenuItemTestLedGroup', '', 60, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(62, 62, 'Donny', 'MenuItemTestLedGroup', 'donny1,donny2,donny3,donny4,donny5', 61, 6, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(63, 63, 'The Dude', 'MenuItemTestLedGroup', 'thedude1,thedude2,thedude3,thedude4,thedude5,thedude6,thedude7', 62, 6, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(64, 64, 'Maude', 'MenuItemTestLedGroup', 'maude1,maude2,maude3,maude4,maude5', 63, 6, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(65, 65, 'Jesus', 'MenuItemTestLedGroup', 'jesus1,jesus2,jesus3,jesus4,jesus5', 64, 6, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(66, 66, 'Walter', 'MenuItemTestLedGroup', 'walter1,walter2,walter3,walter4,walter5,walter6', 65, 6, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(67, 67, 'White Russian targets', 'MenuItemTestLedGroup', 'whiteRussian1,whiteRussian2,whiteRussian3,whiteRussian4', 66, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(68, 68, 'G.I.', 'MenuItemTestLedGroup', 'giJets,giLeftInlane,giLeftSlingshot,giLowerLeft,giLowerRight,giMiddleLeft,giMiddleRight,giRightInlane,giRightSlingshot', 67, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(69, 69, 'Mini Playfield', 'MenuItemTestLedGroup', '', 68, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(70, 70, 'Bowling letters', 'MenuItemTestLedGroup', 'bowling1,bowling2,bowling3,bowling4,bowling5,bowling6,bowling7', 69, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(71, 71, 'Scoop', 'MenuItemTestLedGroup', 'mpfScoopBowling,mpfScoopCar', 70, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(72, 72, 'White Russians', 'MenuItemTestLedGroup', 'wr6,wr7', 71, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(73, 73, 'Arrows', 'MenuItemTestLedGroup', 'arrow6,arrow7', 72, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(74, 74, 'Parking', 'MenuItemTestLedGroup', 'leftParking,topParking,rightParking,bottomParking', 73, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(75, 75, 'G.I.', 'MenuItemTestLedGroup', 'giBowlingRoof', 74, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(76, 76, 'Bowling Alley', 'MenuItemTestLedGroup', '', 75, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(77, 77, 'Brunswick Crown', 'MenuItemTestLedGroup', 'bowlingCrown', 76, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(78, 78, 'G.I.', 'MenuItemTestLedGroup', 'giBackBowlingLight,giFrontBowlingLight', 77, 5, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(79, 79, 'Cabinet', 'MenuItemTestLedGroup', 'startButton,launchButton', 78, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(80, 80, 'Ordered LED Test', 'MenuItemTestLedOrdered', '', 79, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(81, 81, 'G.I. Only Test', 'MenuItemTestLedGI', '', 80, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(82, 82, 'RGB Only Test', 'MenuItemTestLedRGB', '', 81, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(83, 83, 'Flasher Test', '', '', 82, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(84, 84, 'Bowling Pin', 'MenuItemTestLedSingle', 'flasherBowlingPin', 83, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(85, 85, 'Saucer', 'MenuItemTestLedSingle', 'flasherSaucer', 84, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(86, 86, 'Left Ramp', 'MenuItemTestLedSingle', 'flasherLeftRamp', 85, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(87, 87, 'Scoop', 'MenuItemTestLedSingle', 'flasherScoop', 86, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(88, 88, 'Spinner', 'MenuItemTestLedSingle', 'flasherSpinner', 87, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(89, 89, 'Right Ramp', 'MenuItemTestLedSingle', 'flasherRightRamp', 88, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(90, 90, 'White Russian', 'MenuItemTestLedSingle', 'flasherWhiteRussian', 89, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(91, 91, 'Stepper Motor Test', '', '', 90, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(92, 92, 'Bowling Stepper', 'MenuItemTestStepper', 'A', 91, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(93, 93, 'Car Stepper', 'MenuItemTestStepper', 'B', 92, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(94, 94, 'Rug Stepper', 'MenuItemTestStepper', 'C', 93, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(95, 95, 'Bowling Opto Test', 'MenuItemTestBowlingOpto', '', 94, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(96, 96, 'Stress Test', '', '', 95, 2, 'factory');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(97, 97, 'Start test', 'MenuItemTestStress', '', 96, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(98, 98, 'Coils', '', '', 97, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(99, 99, 'Enabled', 'MenuItemSetting', '94', 98, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(100, 100, 'Cycle', 'MenuItemSetting', '108', 99, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(101, 101, 'Pulse length', 'MenuItemSetting', '104', 100, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(102, 102, 'Patter on time', 'MenuItemSetting', '105', 101, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(103, 103, 'Patter off time', 'MenuItemSetting', '106', 102, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(104, 104, 'Hold coils length', 'MenuItemSetting', '109', 103, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(105, 105, 'Steppers', '', '', 104, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(106, 106, 'Enabled', 'MenuItemSetting', '95', 105, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(107, 107, 'Mode', 'MenuItemSetting', '107', 106, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(108, 108, 'Direction length', 'MenuItemSetting', '110', 107, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(109, 109, 'LEDs', '', '', 108, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(110, 110, 'Enabled', 'MenuItemSetting', '96', 109, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(111, 111, 'Brightness', 'MenuItemSetting', '97', 110, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(112, 112, 'Audio Tests', '', '', 111, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(113, 113, 'Sound - Ball Launch', 'MenuItemTestAudio', 'sound;switch_shooterlane_launch', 112, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(114, 114, 'Sound - Bowling Won', 'MenuItemTestAudio', 'sound;bowling_won', 113, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(115, 115, 'Music - Oye Como Va', 'MenuItemTestAudio', 'music;remake_oyecomova_loop', 114, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(116, 116, 'Music - Nihilist Showdown', 'MenuItemTestAudio', 'music;nihilist_main', 115, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(117, 117, 'Adjustment Menu', '', '', 116, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(118, 118, 'Standard Rules', '', '', 117, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(119, 119, 'Balls per game', 'MenuItemSetting', '1', 118, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(120, 120, 'Tournament Mode', 'MenuItemSetting', '122', 119, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(121, 121, 'Extra Balls', '', '', 120, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(122, 122, 'Max E.B. Total', 'MenuItemSetting', '123', 121, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(123, 123, 'Max E.B. Per Ball', 'MenuItemSetting', '124', 122, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(124, 124, 'Alternative Award', 'MenuItemSetting', '125', 123, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(125, 125, 'Tilt', '', '', 124, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(126, 126, 'Tilt warnings', 'MenuItemSetting', '2', 125, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(127, 127, 'Tilt warning gap', 'MenuItemSetting', '3', 126, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(128, 128, 'TBL Rules', '', '', 127, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(129, 129, 'Bowling', '', '', 128, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(130, 130, 'Bowling Letters pre-lit', 'MenuItemSetting', '86', 129, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(131, 131, 'Subsequent LGB pre-lit letters decrease', 'MenuItemSetting', '144', 130, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(132, 132, 'Car modes must be completed', 'MenuItemSetting', '157', 131, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(133, 133, 'Character Modes', '', '', 132, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(134, 134, 'Donny Letters pre-lit', 'MenuItemSetting', '112', 133, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(135, 135, 'The Dude Letters pre-lit', 'MenuItemSetting', '113', 134, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(136, 136, 'Jesus Letters pre-lit', 'MenuItemSetting', '114', 135, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(137, 137, 'Walter Letters pre-lit', 'MenuItemSetting', '115', 136, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(138, 138, 'Extra Balls', '', '', 137, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(139, 139, 'After X Mark It Zeroes', 'MenuItemSetting', '155', 138, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(140, 140, 'After Completing X Rug Modes', 'MenuItemSetting', '156', 139, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(141, 141, 'Light Lock Difficulty', 'MenuItemSetting', '143', 140, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(142, 142, 'Mark It Zero scenes to complete', 'MenuItemSetting', '158', 141, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(143, 143, 'Nihilists', '', '', 142, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(144, 144, 'First Showdown targets', 'MenuItemSetting', '139', 143, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(145, 145, 'Subsequent Showdown targets increase', 'MenuItemSetting', '140', 144, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(146, 146, 'Rug Modes', '', '', 145, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(147, 147, 'First Rug Mode start hits', 'MenuItemSetting', '141', 146, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(148, 148, 'Subsequent Rug Mode hits increase', 'MenuItemSetting', '142', 147, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(149, 149, 'Timers', '', '', 148, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(150, 150, 'Skillshot length', 'MenuItemSetting', '145', 149, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(151, 151, 'Ball saver length', 'MenuItemSetting', '4', 150, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(152, 152, 'Multiball ball saver length', 'MenuItemSetting', '131', 151, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(153, 153, 'Grace periods time', 'MenuItemSetting', '89', 152, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(154, 154, 'ZERO countdown length', 'MenuItemSetting', '138', 153, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(155, 155, 'White Russian Targets', 'MenuItemSetting', '130', 154, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(156, 156, 'Miscellaneous', '', '', 155, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(157, 157, 'Max players', 'MenuItemSetting', '40', 156, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(158, 158, 'Pricing / Awards', '', '', 157, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(159, 159, 'Free play', 'MenuItemSetting', '85', 158, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(160, 160, 'Reset credits', 'MenuItemResetCredits', '', 159, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(161, 161, 'Coin Slots Units', '', '', 160, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(162, 162, 'Coin slot 1 Units', 'MenuItemSetting', '117', 161, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(163, 163, 'Coin slot 2 Units', 'MenuItemSetting', '118', 162, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(164, 164, 'Coin slot 3 Units', 'MenuItemSetting', '119', 163, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(165, 165, 'Coin slot 4 Units', 'MenuItemSetting', '120', 164, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(166, 166, 'Units per credit', 'MenuItemSetting', '121', 165, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(167, 167, 'Highscore awards', '', '', 166, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(168, 168, 'Grand Champion', 'MenuItemSetting', '132', 167, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(169, 169, 'Highscore #1', 'MenuItemSetting', '133', 168, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(170, 170, 'Highscore #2', 'MenuItemSetting', '134', 169, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(171, 171, 'Highscore #3', 'MenuItemSetting', '135', 170, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(172, 172, 'Highscore #4', 'MenuItemSetting', '136', 171, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(173, 173, 'Match enabled', 'MenuItemSetting', '159', 172, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(174, 174, 'Match percentage', 'MenuItemSetting', '137', 173, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(175, 175, 'Coil Strengths', '', '', 174, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(176, 176, 'Flippers', '', '', 175, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(177, 177, 'Left Flipper', 'MenuItemSetting', '46', 176, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(178, 178, 'Left Flipper hold', 'MenuItemSetting', '150', 177, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(179, 179, 'Left Flipper Patter on time', 'MenuItemSetting', '98', 178, 4, 'hide');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(180, 180, 'Left Flipper Patter off time', 'MenuItemSetting', '99', 179, 4, 'hide');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(181, 181, 'Right Flipper', 'MenuItemSetting', '47', 180, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(182, 182, 'Right Flipper hold', 'MenuItemSetting', '151', 181, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(183, 183, 'Right Flipper Patter on time', 'MenuItemSetting', '100', 182, 4, 'hide');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(184, 184, 'Right Flipper Patter off time', 'MenuItemSetting', '101', 183, 4, 'hide');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(185, 185, 'Upper Flipper', 'MenuItemSetting', '48', 184, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(186, 186, 'Upper Flipper hold', 'MenuItemSetting', '152', 185, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(187, 187, 'Upper Flipper Patter on time', 'MenuItemSetting', '102', 186, 4, 'hide');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(188, 188, 'Upper Flipper Patter off time', 'MenuItemSetting', '103', 187, 4, 'hide');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(189, 189, 'Bowling Alley', '', '', 188, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(190, 190, 'Pins', 'MenuItemSetting', '49', 189, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(191, 191, 'Pins Patter on time', 'MenuItemSetting', '50', 190, 4, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(192, 192, 'Pins Patter off time', 'MenuItemSetting', '51', 191, 4, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(193, 193, 'Release Post', 'MenuItemSetting', '52', 192, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(194, 194, 'Release Post Patter on time', 'MenuItemSetting', '53', 193, 4, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(195, 195, 'Release Post Patter off time', 'MenuItemSetting', '54', 194, 4, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(196, 196, 'Ball Return', 'MenuItemSetting', '55', 195, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(197, 197, 'Ball Trough', 'MenuItemSetting', '56', 196, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(198, 198, 'Saucer', 'MenuItemSetting', '57', 197, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(199, 199, 'Scoop', 'MenuItemSetting', '58', 198, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(200, 200, 'VUK', 'MenuItemSetting', '59', 199, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(201, 201, 'Auto Launch', 'MenuItemSetting', '61', 200, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(202, 202, 'Kickback', 'MenuItemSetting', '62', 201, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(203, 203, 'Slingshot Left', 'MenuItemSetting', '63', 202, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(204, 204, 'Slingshot Right', 'MenuItemSetting', '64', 203, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(205, 205, 'Ball Gate Left', 'MenuItemSetting', '65', 204, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(206, 206, 'Ball Gate Left Patter on time', 'MenuItemSetting', '66', 205, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(207, 207, 'Ball Gate Left Patter off time', 'MenuItemSetting', '67', 206, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(208, 208, 'Ball Gate Right', 'MenuItemSetting', '68', 207, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(209, 209, 'Ball Gate Right Patter on time', 'MenuItemSetting', '69', 208, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(210, 210, 'Ball Gate Right Patter off time', 'MenuItemSetting', '70', 209, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(211, 211, 'Jet Left', 'MenuItemSetting', '71', 210, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(212, 212, 'Jet Right', 'MenuItemSetting', '72', 211, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(213, 213, 'Left Ramp Diverter', 'MenuItemSetting', '73', 212, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(214, 214, 'Left Ramp Diverter Patter on time', 'MenuItemSetting', '74', 213, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(215, 215, 'Left Ramp Diverter Patter off time', 'MenuItemSetting', '75', 214, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(216, 216, 'Shooter Lane Diverter', 'MenuItemSetting', '76', 215, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(217, 217, 'Shooter Lane Diverter Patter on time', 'MenuItemSetting', '77', 216, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(218, 218, 'Shooter Lane Diverter Patter off time', 'MenuItemSetting', '78', 217, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(219, 219, 'Toys', '', '', 218, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(220, 220, 'Bowling Alley', 'MenuItemSetting', '37', 219, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(221, 221, 'Bowling Opto Delay', 'MenuItemSetting', '93', 220, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(222, 222, 'Bowling Left Gutter Ball Possible', 'MenuItemSetting', '148', 221, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(223, 223, 'Bowling Right Gutter Ball Possible', 'MenuItemSetting', '149', 222, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(224, 224, 'Car', 'MenuItemSetting', '38', 223, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(225, 225, 'Rug', 'MenuItemSetting', '39', 224, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(226, 226, 'Sound', '', '', 225, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(227, 227, 'Family Mode', 'MenuItemSetting', '116', 226, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(228, 228, 'Master volume', 'MenuItemVolume', '5', 227, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(229, 229, 'Music volume', 'MenuItemVolume', '79', 228, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(230, 230, 'SFX volume', 'MenuItemVolume', '80', 229, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(231, 231, 'Voice volume', 'MenuItemVolume', '81', 230, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(232, 232, 'Display', '', '', 231, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(233, 233, 'Dots shape', 'MenuItemSetting', '29', 232, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(234, 234, 'Scale', 'MenuItemSetting', '33', 233, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(235, 235, 'Window border', 'MenuItemSetting', '34', 234, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(236, 236, 'Vertical position', 'MenuItemSetting', '35', 235, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(237, 237, 'Horizontal position', 'MenuItemSetting', '36', 236, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(238, 238, 'LEDs', '', '', 237, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(239, 239, 'LED brightness', 'MenuItemSetting', '41', 238, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(240, 240, 'GI brightness', 'MenuItemSetting', '42', 239, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(241, 241, 'Flasher brightness', 'MenuItemSetting', '147', 240, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(242, 242, 'Start Button', '', '', 241, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(243, 243, 'Remove player (freeplay only)', 'MenuItemSetting', '127', 242, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(244, 244, 'Stop game (freeplay only)', 'MenuItemSetting', '128', 243, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(245, 245, 'Live', '', '', 244, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(246, 246, 'Live enabled', 'MenuItemSetting', '44', 245, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(247, 247, 'Live DMD framerate', 'MenuItemSetting', '111', 246, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(248, 248, 'Live serial number', 'MenuItemSerial', '', 247, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(249, 249, 'Localization', '', '', 248, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(250, 250, 'Euro score format', 'MenuItemSetting', '19', 249, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(251, 251, 'Test Report', '', '', 250, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(252, 252, 'Show In Attract Mode', 'MenuItemSetting', '153', 251, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(253, 253, 'Show switches not used in X games', 'MenuItemSetting', '154', 252, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(254, 254, 'Attract Mode', '', '', 253, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(255, 255, 'Pre-Attract mode', 'MenuItemSetting', '43', 254, 3, 'dev');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(256, 256, 'Attract Mode only', 'MenuItemSetting', '83', 255, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(257, 257, 'Hardware', '', '', 256, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(258, 258, 'Middle Main Board', 'MenuItemSetting', '126', 257, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(259, 259, 'Mini Playfield Board', 'MenuItemSetting', '146', 258, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(260, 260, 'Audits Menu', '', '', 259, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(261, 261, 'Main Audits', '', '', 260, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(262, 262, 'Total Games', 'MenuItemDynamicAudit', 'total_games', 261, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(263, 263, 'Total Balls Played', 'MenuItemDynamicAudit', 'total_balls_played', 262, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(264, 264, 'Total Extra Balls', 'MenuItemDynamicAudit', 'total_extra_balls', 263, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(265, 265, 'Finished Games', 'MenuItemDynamicAudit', 'finished_games', 264, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(266, 266, 'Unfinished Games', 'MenuItemDynamicAudit', 'unfinished_games', 265, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(267, 267, '1 Player Games', 'MenuItemDynamicAudit', '1_player_games', 266, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(268, 268, '2 Player Games', 'MenuItemDynamicAudit', '2_player_games', 267, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(269, 269, '3 Player Games', 'MenuItemDynamicAudit', '3_player_games', 268, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(270, 270, '4 Player Games', 'MenuItemDynamicAudit', '4_player_games', 269, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(271, 271, 'Total Game Time', 'MenuItemDynamicAudit', 'total_game_time', 270, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(272, 272, 'Average Game Time', 'MenuItemDynamicAudit', 'average_game_time', 271, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(273, 273, 'Average Ball Time', 'MenuItemDynamicAudit', 'average_ball_time', 272, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(274, 274, 'Average Score', 'MenuItemDynamicAudit', 'average_score', 273, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(275, 275, 'Scores Breakdown', '', '', 274, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(276, 276, '0M - 2M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;0;2', 275, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(277, 277, '2M - 4M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;2;4', 276, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(278, 278, '4M - 6M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;4;6', 277, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(279, 279, '6M - 8M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;6;8', 278, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(280, 280, '8M - 10M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;8;10', 279, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(281, 281, '10M - 12.5M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;10;12.5', 280, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(282, 282, '12.5M - 15M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;12.5;15', 281, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(283, 283, '15M - 17.5M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;15;17.5', 282, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(284, 284, '17.5M - 20M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;17.5;20', 283, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(285, 285, '20M - 25M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;20;25', 284, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(286, 286, '25M - 30M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;25;30', 285, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(287, 287, '30M - 40M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;30;40', 286, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(288, 288, '40M - 50M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;40;50', 287, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(289, 289, '50M - 75M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;50;75', 288, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(290, 290, '75M - 100M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;75;100', 289, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(291, 291, '100M - 150M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;100;150', 290, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(292, 292, '150M - 200M Scores', 'MenuItemDynamicAudit', 'scores_breakdown;150;200', 291, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(293, 293, '200M+ Scores', 'MenuItemDynamicAudit', 'scores_breakdown;200;999999', 292, 4, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(294, 294, 'Active Operation Days', 'MenuItemDynamicAudit', 'active_operation_days', 293, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(295, 295, 'Average Operation Day', 'MenuItemDynamicAudit', 'average_operation_day', 294, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(296, 296, 'Busiest Operation Day #1', 'MenuItemDynamicAudit', 'busiest_operation_day_1', 295, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(297, 297, 'Busiest Operation Day #2', 'MenuItemDynamicAudit', 'busiest_operation_day_2', 296, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(298, 298, 'Busiest Operation Day #3', 'MenuItemDynamicAudit', 'busiest_operation_day_3', 297, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(299, 299, 'Busiest Operation Day #4', 'MenuItemDynamicAudit', 'busiest_operation_day_4', 298, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(300, 300, 'Busiest Operation Day #5', 'MenuItemDynamicAudit', 'busiest_operation_day_5', 299, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(301, 301, 'Earnings Audits', '', '', 300, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(302, 302, 'Total Paid Credits', 'MenuItemAudit', '21', 301, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(303, 303, 'Total Coins', 'MenuItemAudit', '19', 302, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(304, 304, 'Total Coin Units', 'MenuItemAudit', '20', 303, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(305, 305, 'Coin slot 1 coins', 'MenuItemAudit', '15', 304, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(306, 306, 'Coin slot 2 coins', 'MenuItemAudit', '16', 305, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(307, 307, 'Coin slot 3 coins', 'MenuItemAudit', '17', 306, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(308, 308, 'Coin slot 4 coins', 'MenuItemAudit', '18', 307, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(309, 309, 'Coil Audits', '', '', 308, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(310, 310, 'Left Flipper', 'MenuItemAudit', '3', 309, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(311, 311, 'Right Flipper', 'MenuItemAudit', '4', 310, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(312, 312, 'Upper Flipper', 'MenuItemAudit', '5', 311, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(313, 313, 'VUK', 'MenuItemAudit', '6', 312, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(314, 314, 'Scoop', 'MenuItemAudit', '7', 313, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(315, 315, 'Bowling Return', 'MenuItemAudit', '8', 314, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(316, 316, 'Bowling Release', 'MenuItemAudit', '9', 315, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(317, 317, 'Left Ramp Diverter', 'MenuItemAudit', '10', 316, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(318, 318, 'Shooter Lane Diverter', 'MenuItemAudit', '11', 317, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(319, 319, 'Game Audits', '', '', 318, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(320, 320, 'Left Drain', 'MenuItemAudit', '12', 319, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(321, 321, 'Right Drain', 'MenuItemAudit', '13', 320, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(322, 322, 'Center Drain', 'MenuItemAudit', '14', 321, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(323, 323, 'Rug hit', 'MenuItemAudit', '1', 322, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(324, 324, 'Car hit', 'MenuItemAudit', '2', 323, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(325, 325, 'Profiles & Highscores Menu', '', '', 324, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(326, 326, 'Manage Profiles & Highscores', 'MenuItemPlayerProfiles', '', 325, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(327, 327, 'Delete all profiles', 'MenuItemDeleteProfiles', '', 326, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(328, 328, 'Delete all highscores', 'MenuItemDeleteHighscores', '', 327, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(329, 329, 'Install Presets', '', '', 328, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(330, 330, 'Game Difficulty', '', '', 329, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(331, 331, 'Extra Easy', 'MenuItemInstallDifficulty', 'xeasy', 330, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(332, 332, 'Easy', 'MenuItemInstallDifficulty', 'easy', 331, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(333, 333, 'Medium [Factory default]', 'MenuItemInstallDifficulty', 'default', 332, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(334, 334, 'Hard', 'MenuItemInstallDifficulty', 'hard', 333, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(335, 335, 'Extra Hard', 'MenuItemInstallDifficulty', 'xhard', 334, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(336, 336, 'Software Menu', '', '', 335, 1, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(337, 337, 'Current version', 'MenuItemSetting', '0', 336, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(338, 338, 'Exit current game', 'MenuItemExitGame', '', 337, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(339, 339, 'Restart', 'MenuItemRestartSoftware', '', 338, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(340, 340, 'Factory Reset', 'MenuItemFactoryReset', '', 339, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(341, 341, 'Version select', 'MenuItemVersionSelect', '', 340, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(342, 342, 'USB update', 'MenuItemUSBUpdate', '', 341, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(343, 343, 'Internet update', 'MenuItemInternetUpdate', '', 342, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(344, 344, 'USB export', '', '', 343, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(345, 345, 'Log file', 'MenuItemUSBExportFile', 'log', 344, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(346, 346, 'Database file', 'MenuItemUSBExportFile', 'database', 345, 3, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(347, 347, 'USB import', '', '', 346, 2, '');
INSERT INTO [menuitem]([rowid], [id], [title], [type], [data], [order], [level], [security]) VALUES(348, 348, 'Database file', 'MenuItemUSBImportFileSelection', 'database', 347, 3, '');


/* Commit Transaction */
commit transaction;

/* Enable Foreign Keys */
pragma foreign_keys = on;
